LotusSpreadsheetInternal::Spreadsheet Class Reference documentation

Public Member Functions | Public Attributes | List of all members
LotusSpreadsheetInternal::Spreadsheet Class Reference

the spreadsheet of a LotusSpreadsheet More...

## Public Member Functions
| Spreadsheet ()
| a constructor
Cell & | getCell (RVNGInputStreamPtr input, Vec2i const &pos)
| return a cell corresponding to a spreadsheet, create one if needed
void | setColumnWidth (int col, WPSColumnFormat const &format)
| set the columns size
WPSRowFormat | getRowHeight (int row) const
| returns the row size in point
void | setRowHeight (int row, WPSRowFormat const &format)
| set the rows size
Vec2f | getPosition (Vec2i const &cell) const
| returns the position corresponding to a cell
void | compressRowHeights ()
| try to compress the list of row height
std::vector< WPSColumnFormat > | getWidths () const
| convert the m_widthColsInChar in a vector of of point size
int | getRowStyleId (int row) const
| returns the row style id corresponding to a sheetId (or -1)
bool | empty () const
| returns true if the spreedsheet is empty

## Public Attributes
librevenge::RVNGString | m_name
| the sheet name
int | m_numCols
| the number of columns
int | m_numRows
| the number of rows
std::map< int, Vec2i > | m_boundsColsMap
| a map used to stored the min/max row of each columns
std::vector< WPSColumnFormat > | m_widthCols
| the column size
std::map< Vec2i, WPSRowFormat > | m_rowHeightMap
| the map Vec2i(min row, max row) to size in points
float | m_heightDefault
| the default row size in point
std::vector< int > | m_rowPageBreaksList
| the list of row page break
std::map< Vec2i, Cell > | m_positionToCellMap
| a map cell to not empty cells
std::map< Vec2i, size_t > | m_rowToStyleIdMap
| map Vec2i(min row, max row) to state row style id
std::map< int, ExtraRowStyles > | m_rowToExtraStyleMap
| map row to extra style

## Detailed Description

the spreadsheet of a LotusSpreadsheet

## Constructor & Destructor Documentation

## ◆ Spreadsheet()

LotusSpreadsheetInternal::Spreadsheet::Spreadsheet | ( |  | ) |
| inline

a constructor

## Member Function Documentation

## ◆ compressRowHeights()

void LotusSpreadsheetInternal::Spreadsheet::compressRowHeights | ( |  | ) |
| inline

try to compress the list of row height

## ◆ empty()

bool LotusSpreadsheetInternal::Spreadsheet::empty | ( |  | ) | const
| inline

returns true if the spreedsheet is empty

## ◆ getCell()

Cell & LotusSpreadsheetInternal::Spreadsheet::getCell | ( | RVNGInputStreamPtr | input,
|  | Vec2i const & | pos )
| inline

return a cell corresponding to a spreadsheet, create one if needed

Referenced by LotusSpreadsheet::readCell().

## ◆ getPosition()

Vec2f LotusSpreadsheetInternal::Spreadsheet::getPosition | ( | Vec2i const & | cell | ) | const
| inline

returns the position corresponding to a cell

## ◆ getRowHeight()

WPSRowFormat LotusSpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

## ◆ getRowStyleId()

int LotusSpreadsheetInternal::Spreadsheet::getRowStyleId | ( | int | row | ) | const
| inline

returns the row style id corresponding to a sheetId (or -1)

Referenced by LotusSpreadsheet::sendRowContent().

## ◆ getWidths()

std::vector< WPSColumnFormat > LotusSpreadsheetInternal::Spreadsheet::getWidths | ( |  | ) | const
| inline

convert the m_widthColsInChar in a vector of of point size

## ◆ setColumnWidth()

void LotusSpreadsheetInternal::Spreadsheet::setColumnWidth | ( | int | col,
|  | WPSColumnFormat const & | format )
| inline

set the columns size

Referenced by LotusSpreadsheet::readColumnSizes().

## ◆ setRowHeight()

void LotusSpreadsheetInternal::Spreadsheet::setRowHeight | ( | int | row,
|  | WPSRowFormat const & | format )
| inline

set the rows size

Referenced by LotusSpreadsheet::readRowSizes().

## Member Data Documentation

## ◆ m_boundsColsMap

std::map<int, Vec2i> LotusSpreadsheetInternal::Spreadsheet::m_boundsColsMap

a map used to stored the min/max row of each columns

Referenced by setColumnWidth().

## ◆ m_heightDefault

float LotusSpreadsheetInternal::Spreadsheet::m_heightDefault

the default row size in point

Referenced by compressRowHeights(), getPosition(), and getRowHeight().

## ◆ m_name

librevenge::RVNGString LotusSpreadsheetInternal::Spreadsheet::m_name

the sheet name

Referenced by empty().

## ◆ m_numCols

int LotusSpreadsheetInternal::Spreadsheet::m_numCols

the number of columns

Referenced by setColumnWidth().

## ◆ m_numRows

int LotusSpreadsheetInternal::Spreadsheet::m_numRows

the number of rows

## ◆ m_positionToCellMap

std::map<Vec2i, Cell> LotusSpreadsheetInternal::Spreadsheet::m_positionToCellMap

a map cell to not empty cells

Referenced by empty(), getCell(), and LotusSpreadsheet::sendRowContent().

## ◆ m_rowHeightMap

std::map<Vec2i,WPSRowFormat> LotusSpreadsheetInternal::Spreadsheet::m_rowHeightMap

the map Vec2i(min row, max row) to size in points

Referenced by compressRowHeights(), getPosition(), getRowHeight(), and setRowHeight().

## ◆ m_rowPageBreaksList

std::vector<int> LotusSpreadsheetInternal::Spreadsheet::m_rowPageBreaksList

the list of row page break

## ◆ m_rowToExtraStyleMap

std::map<int,ExtraRowStyles> LotusSpreadsheetInternal::Spreadsheet::m_rowToExtraStyleMap

map row to extra style

Referenced by LotusSpreadsheet::sendRowContent().

## ◆ m_rowToStyleIdMap

std::map<Vec2i,size_t> LotusSpreadsheetInternal::Spreadsheet::m_rowToStyleIdMap

map Vec2i(min row, max row) to state row style id

Referenced by empty(), getRowStyleId(), and LotusSpreadsheet::updateState().

## ◆ m_widthCols

std::vector<WPSColumnFormat> LotusSpreadsheetInternal::Spreadsheet::m_widthCols

the column size

Referenced by getPosition(), getWidths(), and setColumnWidth().

The documentation for this class was generated from the following file:

- LotusSpreadsheet.cpp